/* Written by Amir Israeli  July 2000  Email: israelaq@walla.co.il
  No warranty of any kind , Documentation will be present in www.amir-israeli.tripod.com/index.html
 next month (August 2000) , Don't  remove this header */
#if !defined(AFX_NEWFILEMENU_H__6230E98A_6252_11D4_B8C4_95C4CDF07A5C__INCLUDED_)
#define AFX_NEWFILEMENU_H__6230E98A_6252_11D4_B8C4_95C4CDF07A5C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxtempl.h>

class CNewFileInformation;

typedef CArray<CNewFileInformation*,CNewFileInformation*&> dbNewFileInfo;

class CNewFileMenu  
{
public:
	CNewFileMenu();
	virtual ~CNewFileMenu();

	BOOL Create();
	//The caller MUST DELETE the menu himself
	HMENU GetMenu( int iFirstCommand, BOOL bPopupMenu = FALSE);

	BOOL CreateItem( int iCommand, LPCTSTR lpszDirectory = NULL );
	BOOL Invoke( int iCommand, LPCTSTR lpszDirectory = NULL ) {
		return CreateItem( iCommand, lpszDirectory );
	}

protected:
	void Destroy();

	//Functions for building the menus
	BOOL AddCommand(int iNewCommand, int iCode , 
		LPCTSTR lpszDescription, LPCTSTR lpszExtension = NULL, LPCTSTR lpszData = NULL, 
		BYTE *pData = NULL, DWORD cbData = 0);

	BOOL EnumShellNewOfSingleKey( LPCTSTR lpszKey, CStringArray *pPaths);
	BOOL DealSpecialFlags( LPCTSTR lpszKey, CStringArray *paths);
	BOOL FindDataOfKey( LPCTSTR lpszKey, LPCTSTR lpszCurrentPath, int iPathsCount);

	BOOL GetBuildData( LPCTSTR lpszKey, int *piCode,
		LPCTSTR lpszCurrentPath, CString *pstrCommandData, LPBYTE &p,
		DWORD *pdwType,DWORD *pdwCount);

	BOOL FindCaption( LPCTSTR lpszKey, LPCTSTR lpszCurrentPath,CString *pstrCaptionOut,int iPathsCount);

protected:
	//Creation of menus
	BOOL SetIconsOfNewFileMenu();
	HMENU InternalCreateMenu(BOOL bPopupMenu);

private:
	dbNewFileInfo  m_NewFiles;
};


#endif // !defined(AFX_NEWFILEMENU_H__6230E98A_6252_11D4_B8C4_95C4CDF07A5C__INCLUDED_)

