/* Written by Amir Israeli  July 2000  Email: israelaq@walla.co.il
  No warranty of any kind , Documentation will be present in www.amir-israeli.tripod.com/index.html
 next month (August 2000) , Don't  remove this header */
// ShellExecute.h: interface for the CShellExecute class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SHELLEXECUTE_H__6230E98A_6252_11D4_B8C4_95C4CDF07A5C__INCLUDED_)
#define AFX_SHELLEXECUTE_H__6230E98A_6252_11D4_B8C4_95C4CDF07A5C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CShellExecute  
{
public:
	CShellExecute();
	virtual ~CShellExecute();

	static BOOL Print( LPCTSTR lpszShellPath, BOOL bShowError = TRUE);
	static BOOL Command( LPCTSTR lpszCommand, BOOL bShowError = TRUE);

protected:
	static BOOL Exec(LPCTSTR lpszVerb,LPCTSTR lpszCommand,LPCTSTR lpszParams,BOOL bShowError = FALSE);
	static void Error( UINT hHinstanceCode);
	
	static BOOL FormulatePath( LPCTSTR lpszSrc, CString &strCommand, CString &strParams);

};

#endif // !defined(AFX_SHELLEXECUTE_H__6230E98A_6252_11D4_B8C4_95C4CDF07A5C__INCLUDED_)
