/* Written by Amir Israeli  July 2000  Email: israelaq@walla.co.il
  No warranty of any kind , Documentation will be present in www.amir-israeli.tripod.com/index.html
 next month (August 2000) , Don't  remove this header */
// RegistryShell.h: interface for the CRegistryShell class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_REGISTRYSHELL_H__D396E6E3_5043_11D4_B8C4_9BEAE49E475A__INCLUDED_)
#define AFX_REGISTRYSHELL_H__D396E6E3_5043_11D4_B8C4_9BEAE49E475A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Registry.h"

class CRegistryShell : public CRegistry  
{
public:
	CRegistryShell();
	virtual ~CRegistryShell();

protected:
	///////////////////////////////////////////////////////////////
	////// Functions for New-File (Shell-Menu)
	BOOL CheckForShellNew(CStringArray *pArrKeyNames);
	BOOL GetShellNewOfItem( LPCTSTR lpszKey, CStringArray *pArrKeyNames);

public:
	BOOL EnumFileExtensions(CStringArray *pArrKeyNames);
	BOOL DeletePathWhichNotIncludes( LPCTSTR lpszKey, CStringArray *pArrKeyNames,int iLevelRequired=-1);

///////////////////////////////////////////////////////////
	//output full names of keys
	BOOL EnumRecursive( LPCTSTR lpszKey, CStringArray *pArrKeyNames, BOOL bFullPath=TRUE,int iMaxLevels=0);
	BOOL EnumRecursiveInternal( LPCTSTR lpszKey, CStringArray *pArrKeyNames, BOOL bFullPath,int iMaxLevels,int iLevelCount);

////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////

};

#endif // !defined(AFX_REGISTRYSHELL_H__D396E6E3_5043_11D4_B8C4_9BEAE49E475A__INCLUDED_)
